/*
 * Class TABLE_ITERABLE [G#1, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_309 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_309 [] = {0xFF01,237,308,0xFFF8,1,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_309 [] = {0xFF01,308,0xFFF8,1,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_309 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_309 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_309 [] = {0xFF01,308,0xFFF8,1,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_309 [] = {0xFF01,308,0xFFF8,1,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_309 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_309 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_309 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_309 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_309 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_309 [] = {308,0xFFF8,1,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_309 [] = {0xFF01,308,0xFFF8,1,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_309 [] = {0xFF01,309,0xFFF8,1,0xFFF8,2,0xFFFF};
static const EIF_TYPE_INDEX egt_15_309 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_309 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_309[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_309), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_309), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_309), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_309), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_309), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_309), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_309), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_309), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_309), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_309), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_309), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_309), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_309), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_309), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_309), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_309), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_309), -1, 0xFFFFFFFF},
};
void Init309(void)
{
	IDSC(desc_309, 0, 308);
	IDSC(desc_309 + 1, 1, 308);
	IDSC(desc_309 + 32, 99, 308);
	IDSC(desc_309 + 34, 308, 308);
}


#ifdef __cplusplus
}
#endif
